Subject: Re: Chicken species, especially leghorns
From: [email-masked]
Date: Fri, 29 Apr 1994 20:38:51 GMT
Newsgroups: misc.rural

>>   I have a chicken question -- are leghorns more skitterish than other
>>chicken species?
>>my book on chickens says that leghorns are more highly strung.
 
If you want a gentle chicken that's a great layer, I recommend the black-sex
link. It is a cross between the barred rock and rhode island red. They are
bred as a production brown egg layer and are often raised by 4-H groups. I
sell the eggs and have been very pleased with their production and disposition.